/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#include "stdafx.h"
#include "resource.h"
#include "IO/GLFile.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CGLFile::CGLFile(const CString& strDesc)
	 : m_strDesc(strDesc)
{
}

CGLFile::CGLFile(UINT nIDSDesc)
{
	VERIFY(m_strDesc.LoadString(nIDSDesc));
}

CGLFile::~CGLFile(){
}

/// ファイルダイアログのドロップダウンリストアイテム一個分の文字列を返す。
/// @return "STEP Files (*.stp;*.step)" のような文字列
CString CGLFile::GetTypeString() const
{
	CString strRet;
	strRet.Format(IDS_FILTER_FORMAT, GetDesc(), GetExt());
	return strRet;
}
